
# **WarMAC Beta Version 0.0.1**

![GitHub last commit (branch)](https://img.shields.io/github/last-commit/Eutropios/WarMAC/main)
[![MIT License](https://img.shields.io/github/license/Eutropios/WarMAC)](https://github.com/Eutropios/WarMAC)
[![OpenSSF Best Practices](https://bestpractices.coreinfrastructure.org/projects/7670/badge)](https://bestpractices.coreinfrastructure.org/projects/7670)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)
[![code style: black](https://img.shields.io/badge/code_style-black-000000.svg)](https://github.com/psf/black)
[![Checked with mypy](https://img.shields.io/badge/mypy-checked-2a6db2)](https://mypy-lang.org/)

**WarMAC** is a command-line Python script that can calculate the average market price of items in Warframe.  
WarMAC compiles orders from the fan website *<https://warframe.market/>*, and can be used to find the average prices of prime parts, tradeable parts, relics, mods, and arcane enhancements.  
WarMAC has the ability to:  

* 🎮Target PC, PlayStation, XBOX, or Nintendo Switch platforms.
* 📈Calculate the median, mean, mode, harmonic mean, or geometric means of items.
* 🕜Restrict orders to specific time ranges.
* 💰Utilize either seller or buyer orders.
* ⛏️Find averages for intact or radiant relics.
* ✨Find average for unranked or max-ranked mods and arcane enhancements.

## ⬇️To Install  

WarMAC currently supports Python versions 3.9+. Plans for Python 3.8 support are planned.  

### **To install via Pip:**  

```bash
python -m pip install warmac
```

## **🔮Upcoming/The Future of WarMAC**

* Adding the ability to pipe the output to other commands
* Adding the ability to take files as input
* Adding the ability to output to a file
* Adding even more commands to WarMAC!

## **💽Reporting Issues**

*To report an issue, please open an Issue report on GitHub.*

## **⚖️Licensing and Disclaimers**

***This project is NOT affiliated with Warframe, Digital Extremes, or the Warframe Market.***
*Copyright (c) 2023 Noah Jenner under MIT License*
*For additional licensing information, please see LICENSE.txt*
*For licensing regarding urllib3, please see LICENSE-urllib3.txt*

## **🗒️Acknowledgement**

This project uses the following tools in its development:

* autoDocstring: <https://github.com/NilsJPWerner/autoDocstring>  
* Even Better TOML: <https://github.com/tamasfe/taplo>  
* markdownlint: <https://github.com/DavidAnson/vscode-markdownlint>  
* vermin: <https://github.com/netromdk/vermin>  
